Page MenuHomePhabricator

Implement Lexeme-only fulltext search
Closed, ResolvedPublic

Description

Implement fulltext search for Lexemes when only Lexeme namespace is requested in the search.

Related Objects

Event Timeline

Smalyshev triaged this task as Normal priority.Jun 1 2018, 7:17 PM
Smalyshev created this task.
Smalyshev moved this task from Backlog to Doing on the User-Smalyshev board.

Change 437641 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/CirrusSearch@master] Overridable query builders

https://gerrit.wikimedia.org/r/437641

Change 437643 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/Wikibase@master] [WIP] [DNM] Dispatching fulltext search

https://gerrit.wikimedia.org/r/437643

Change 437820 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/WikibaseLexeme@master] [WIP] Implement Lexeme fulltext search

https://gerrit.wikimedia.org/r/437820

Change 437641 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Overridable query builders

https://gerrit.wikimedia.org/r/437641

Smalyshev moved this task from Doing to In review on the User-Smalyshev board.Jun 15 2018, 11:04 PM

Change 441554 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseLexeme@master] DNM WIP Format FormIds, and handle form links in HtmlPageLinkRendererBeginHookHandler

https://gerrit.wikimedia.org/r/441554

Change 441554 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Format FormIds, and handle form links, in HtmlPageLinkRendererBeginHookHandler

https://gerrit.wikimedia.org/r/441554

Smalyshev moved this task from In review to Doing on the User-Smalyshev board.Jun 25 2018, 9:24 PM
Smalyshev moved this task from Doing to In review on the User-Smalyshev board.Jun 27 2018, 2:56 AM
Vvjjkkii renamed this task from Implement Lexeme-only fulltext search to ntbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii removed Smalyshev as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from ntbaaaaaaa to Implement Lexeme-only fulltext search.Jul 2 2018, 1:44 PM
CommunityTechBot assigned this task to Smalyshev.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.

Change 437643 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Dispatching fulltext search

https://gerrit.wikimedia.org/r/437643

Change 437820 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Implement Lexeme fulltext search

https://gerrit.wikimedia.org/r/437820

Smalyshev moved this task from Waiting/Blocked to Done on the User-Smalyshev board.
debt closed this task as Resolved.Jul 31 2018, 5:52 PM